# FtpRead

Read data from a remote file or directory.

## SYNOPSIS

    #include <ftplib.h>
    int FtpRead(void *buf, int max, netbuf *nData);

## PARAMETERS

buf
  Specifies the address of a buffer where received data will be written.
max
  Specifies the size of the user's buffer.
nData
  A handle returned by FtpAccess().

## DESCRIPTION

FtpRead copies up to max bytes of data from the specified data connection and returns it to the user's buffer. If the data connection was opened in ascii mode, no more than one line of data will be returned.

## RETURN VALUE

Returns the number of bytes written to the user's buffer or -1 on error or end of file.